summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'gnustep-apps')
-rw-r--r--gnustep-apps/sogo/Manifest2
-rw-r--r--gnustep-apps/sogo/sogo-1.2.1.ebuild111
2 files changed, 113 insertions, 0 deletions
diff --git a/gnustep-apps/sogo/Manifest b/gnustep-apps/sogo/Manifest
index a4a05ad..9a65d0b 100644
--- a/gnustep-apps/sogo/Manifest
+++ b/gnustep-apps/sogo/Manifest
@@ -3,8 +3,10 @@ AUX sogod.initd 1763 RMD160 9b68d4650cf5aacab5e9896193e1d8a18613458e SHA1 c852e8
AUX sogod.initd.1 1743 RMD160 76bbc10b05012859c4ec6b1cddd2c33a19f0c549 SHA1 c424aa09b1baf437d2f6b087688f4fa486ee7136 SHA256 f21c6fe81da61c5dc6859daeb4d79f06edd16458895352216c66f45a4be27211
DIST SOGo-1.1.0.tar.gz 3613661 RMD160 b6fd66c0825f34e3fbc12d23c9b8c144a5b9cd65 SHA1 0e19f79fd764e9deba14a6346636b7ee86832014 SHA256 950e1a954d8905e187e09336893c50b3c7a16de42ada5c50932766974d5e7a13
DIST SOGo-1.2.0.tar.gz 3248620 RMD160 8f4f820b4e06b15c38f7d5bf6efefabe456c6234 SHA1 dc405039921f39440107b6454994cf1080a54488 SHA256 a6aee2d2bfbf61839926d60a62673619f6f9247a79b823b171595dd676f23e5f
+DIST SOGo-1.2.1.tar.gz 3300816 RMD160 71d626497abf50128da4ca45ea2303843e9178fc SHA1 6d2714c1dff1e59be1cbdaba220c90c0e5028e5b SHA256 222450c0d97251fef8d30234c36810b0c529b8550f35c4c707f6444e06d2bde9
EBUILD sogo-1.1.0-r1.ebuild 4622 RMD160 fd2ebec0b08f961365f9a41af6012a6123144296 SHA1 c2fd21238b9cb529342442d062ae69bd7f17ecc4 SHA256 f3cfd8c1b15fce2249ec887be5326dad9f218581300519dfbd9a3cd6879712a5
EBUILD sogo-1.2.0.ebuild 4622 RMD160 fd2ebec0b08f961365f9a41af6012a6123144296 SHA1 c2fd21238b9cb529342442d062ae69bd7f17ecc4 SHA256 f3cfd8c1b15fce2249ec887be5326dad9f218581300519dfbd9a3cd6879712a5
+EBUILD sogo-1.2.1.ebuild 4622 RMD160 fd2ebec0b08f961365f9a41af6012a6123144296 SHA1 c2fd21238b9cb529342442d062ae69bd7f17ecc4 SHA256 f3cfd8c1b15fce2249ec887be5326dad9f218581300519dfbd9a3cd6879712a5
EBUILD sogo-9999.ebuild 6007 RMD160 022ceae107820e33ef7188bebb04e52921c8a28d SHA1 8a3d91cecd7d60de7ee526712ab03be11dde95eb SHA256 2e6282740d026d5ebd4b7ecef9b98986197fbcb40272be49b8767bd1811d6373
MISC ChangeLog 829 RMD160 4a62c8986599f495ddc2d8c6599480f533338aed SHA1 3a52d15ad98b6afe3ec00866dbde054a6e27f5a4 SHA256 dd38997b1d0d8362c776192a5ee906eea4f982d51c0d085298f9a172c6b5bbae
MISC metadata.xml 793 RMD160 e5e134c336e1294210a98e7ecdf2182b3548eedb SHA1 e168a20cbcf7834b5f9bdd68b5e85b6202f72c35 SHA256 a48efb3457db158cb5420394060ae92c2d3b232a4f01e804e903b1154f80560b
diff --git a/gnustep-apps/sogo/sogo-1.2.1.ebuild b/gnustep-apps/sogo/sogo-1.2.1.ebuild
new file mode 100644
index 0000000..681c422
--- /dev/null
+++ b/gnustep-apps/sogo/sogo-1.2.1.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit gnustep-base flag-o-matic
+
+MY_PN="SOGo"
+MY_PV="${PV/_/}"
+
+DESCRIPTION="Groupware server built around OpenGroupware.org and the SOPE application server"
+HOMEPAGE="http://sogo.opengroupware.org/"
+SRC_URI="http://www.scalableogo.org/files/downloads/${MY_PN}/Sources/${MY_PN}-${MY_PV}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="postgres mysql logrotate"
+DEPEND="gnustep-libs/sope[ldap,mysql?,postgres?]
+ !mysql? ( !postgres? ( virtual/postgresql-base ) )
+ dev-libs/libmemcached
+ net-nds/openldap"
+RDEPEND="${DEPEND}
+ logrotate? ( app-admin/logrotate )"
+
+S=${WORKDIR}/${MY_PN}-${MY_PV}
+
+pkg_setup() {
+ gnustep-base_pkg_setup
+ local myLDFLAGS="$(gnustep-config --variable=LDFLAGS 2>/dev/null)"
+ if [ -n "${myLDFLAGS}" ] && (echo "${myLDFLAGS}" | grep -q "\-\-a\(dd\|s\)\-needed" 2>/dev/null); then
+ ewarn
+ ewarn "You seem to have compiled GNUstep with custom LDFLAGS:"
+ for foo in $(gnustep-config --variable=LDFLAGS); do
+ ewarn " "${foo}
+ done
+ ewarn
+ ewarn "SOGo is very sensitive regarding custom LDFLAGS. Especially with:"
+ ewarn " --add-needed"
+ ewarn " --as-needed"
+ ewarn
+ ewarn "If your SOGo install does not work as expected then please re-emerge SOGo,"
+ ewarn "SOPE and your GNUstep (base and make) without any LDFLAGS before filing bugs."
+ ewarn
+ fi
+ append-ldflags -Wl,--no-as-needed
+}
+
+src_configure() {
+ egnustep_env
+ ./configure \
+ $(use_enable debug) \
+ $(use_enable debug strip) \
+ $(use_enable ldap ldap-config) \
+ || die "configure failed"
+}
+
+src_test() {
+ # SOGo tends to break horribly if gnustep-make is build with LDFLAGS such as
+ # -Wl,--add-needed or -Wl,--as-needed. So we check here some vital binaries.
+ # Check if Appointments.SOGo, Contacts.SOGo, Mailer.SOGo is correctly build/linked
+ local myAppointmentsLDD=$(ldd -d "${S}"/SoObjects/Appointments/Appointments.SOGo/Appointments 2>&1 | grep "lib\(OGoContentStore\|NG\(Cards\|ObjWeb\|Mime\|Streams\|Extensions\)\|SOGo\|GDL\(Access\|ContentStore\)\|EOControl\|DOM\|SaxObjC\|XmlRpc\)\.so\." | wc -l)
+ local myContactsLDD=$(ldd -d "${S}"/SoObjects/Contacts/Contacts.SOGo/Contacts 2>&1 | grep "lib\(OGoContentStore\|NG\(Cards\|ObjWeb\|Mime\|Streams\|Extensions\)\|SOGo\|GDL\(Access\|ContentStore\)\|EOControl\|DOM\|SaxObjC\|XmlRpc\)\.so\." | wc -l)
+ local myMailerLDD=$(ldd -d "${S}"/SoObjects/Mailer/Mailer.SOGo/Mailer 2>&1 | grep "lib\(OGoContentStore\|NG\(Cards\|ObjWeb\|Mime\|Streams\|Extensions\)\|SOGo\|GDL\(Access\|ContentStore\)\|EOControl\|DOM\|SaxObjC\|XmlRpc\)\.so\." | wc -l)
+ if [ -z "${myAppointmentsLDD}" -o -z "${myContactsLDD}" -o -z "${myMailerLDD}" -o "${myAppointmentsLDD}" != "13" -o "${myContactsLDD}" != "13" -o "${myMailerLDD}" != "13" ]; then
+ ewarn
+ ewarn "This SOGo installtion is not correctly build. Probably you are using"
+ ewarn "LDFLAGS to build SOGo that are not correctly handled in SOGo or you"
+ ewarn "have emerged gnustep-base/gnustep-make with LDFLAGS which are"
+ ewarn "preventing SOGo to link the needed libraries into it's own binaries."
+ ewarn "Please remerge gnustep-base/gnustep-make and/or SOGo with empty LDFLAGS."
+ ewarn
+ die "SOGo build is not complete (Appointments.SOGo, Contacts.SOGo, Mailer.SOGo)"
+ fi
+ # We could do the same for AdministrationUI.SOGo, CommonUI.SOGo, ContactsUI.SOGo,
+ # MailPartViewers.SOGo, MailerUI.SOGo, MainUI.SOGo, SOGoElements.wox and SchedulerUI.SOGo
+ # but if Appointments.SOGo, Contacts.SOGo and Mailer.SOGo are build correctly then the
+ # chance that the others are build/linked correctly is pretty high. So we don't test again.
+}
+
+src_install() {
+ gnustep-base_src_install
+ newinitd "${FILESDIR}"/sogod.initd sogod \
+ || die "Init script installation failed"
+ if use logrotate; then
+ insopts -m644 -o root -g root
+ insinto /etc/logrotate.d
+ newins Scripts/logrotate SOGo || die "Failed to install logrotate.d file"
+ fi
+ newdoc Apache/SOGo.conf SOGo-Apache.conf
+}
+
+pkg_preinst() {
+ enewuser sogo -1 /bin/bash /var/lib/sogo
+}
+
+pkg_postinst() {
+ gnustep-base_pkg_postinst
+ elog
+ elog "Now follow the steps from the SOGo documentation:"
+ elog "http://www.inverse.ca/contributions/sogo/documentation.html#c803"
+ elog "The sogo user home directory is /var/lib/sogo"
+ elog
+ elog "Then you can start/stop sogo with /etc/init.d/sogod"
+ elog
+ elog "If you plan to use SOGo with Apache then please have a look at the"
+ elog "'SOGo-Apache.conf' included in the documentation directory of this"
+ elog "SOGo installation and don't forget to add '-D PROXY' to your"
+ elog "APACHE2_OPTS."
+ elog
+}